> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Campaign



## OpenAPI

````yaml get /campaigns/{campaignId}
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /campaigns/{campaignId}:
    get:
      tags:
        - Campaign
      operationId: CampaignController_getCampaignById
      parameters:
        - name: campaignId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - accessKey: []
components:
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````